# Signer: sign (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/signer/submitSignConsent)

## POST /functions/v1/sign/{token}

Signer: sign

The signer's consent for one role and document digest, sent with the signing link token.

```json
{
  "operationId": "submitSignConsent",
  "parameters": [
    {
      "in": "path",
      "name": "token",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/DeviceConsent"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "ok": {
                "type": "boolean"
              }
            },
            "required": [
              "ok"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json